package xyz.zhouxy.plusone.validator;

/**
 * 用户请求参数错误
 *
 * @author ZhouXY
 */
public class InvalidInputException extends RuntimeException {

    private static final long serialVersionUID = 7956661913360059670L;

    public InvalidInputException() {
        super("用户请求参数错误");
    }

    public InvalidInputException(String msg) {
        super(msg);
    }

    public InvalidInputException(String msgFormat, Object... args) {
        super(String.format(msgFormat, args));
    }

    public InvalidInputException(Throwable cause) {
        super(cause);
    }

    public InvalidInputException(String msg, Throwable cause) {
        super(msg, cause);
    }
}
